package com.qmth.themis.business.dto.response;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/** 
* @Description: 机构 dto
* @Param:  
* @return:  
* @Author: wangliang
* @Date: 2020/8/3 
*/ 
public class TBOrgDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "机构id")
    private Long id;//机构id

    @ApiModelProperty(name = "机构名称")
    private String name;//机构名称

    @ApiModelProperty(name = "机构代码")
    private String code;//机构代码

    @ApiModelProperty(name = "机构logo")
    private String logo;//logo

    @ApiModelProperty(name = "是否开启模考，0：不开启，1：开启")
    private Integer enableSimulate;//是否开启模考

    @ApiModelProperty(name = "是否启用，0：停用，1：启用")
    private Integer enable;//是否启用

    @ApiModelProperty(name = "联系人")
    private String contactName;//联系人

    @ApiModelProperty(name = "联系电话")
    private String contactPhone;//联系电话

    @ApiModelProperty(name = "更新人")
    private String updateName;//更新人

    @ApiModelProperty(name = "更新时间")
    private Long updateTime;//更新时间

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "模考试卷id")
    private Long simulatePaperId;//模考试卷id

    @ApiModelProperty(name = "是否允许监控转录，0：不允许，1：允许")
    private Integer enableMonitorRecord;//是否允许监控转录

    @ApiModelProperty(name = "是否允许使用活体，0：不允许，1：允许")
    private Integer enableLiveness;//是否允许使用活体

    @ApiModelProperty(name = "外部访问凭证")
    private String accessKey;//外部访问凭证

    @ApiModelProperty(name = "外部访问密钥")
    private String accessSecret;//外部访问密钥

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public Integer getEnableSimulate() {
        return enableSimulate;
    }

    public void setEnableSimulate(Integer enableSimulate) {
        this.enableSimulate = enableSimulate;
    }

    public Long getSimulatePaperId() {
        return simulatePaperId;
    }

    public void setSimulatePaperId(Long simulatePaperId) {
        this.simulatePaperId = simulatePaperId;
    }

    public Integer getEnableMonitorRecord() {
        return enableMonitorRecord;
    }

    public void setEnableMonitorRecord(Integer enableMonitorRecord) {
        this.enableMonitorRecord = enableMonitorRecord;
    }

    public Integer getEnableLiveness() {
        return enableLiveness;
    }

    public void setEnableLiveness(Integer enableLiveness) {
        this.enableLiveness = enableLiveness;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }
}
